Subject: Re: bug#14192: 24.3.50; recursive edit while running ispell not working usefully

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 08:29:33 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked]
> Date: Sun, 14 Jan 2024 02:25:20 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > FTR: C-r indeed was not meant to be used to modify the misspelled
> > word.  ispell.el has 'r' and 'R' commands for that.  C-r is for
> > consulting the rest of the text, without modifying it and without
> > disrupting the spelling session.  An alternative is to type 'X', make
> > any modifications you want, and then resume spelling with "C-u M-$".
> 
> Thanks - especially for your concretizations of the spell checking
> related parts in the user manual.
> 
> I find it an a bit obscure design that there is C-r that reverses edits,
> then X, which allows to resume the session, and C-g, which doesn't allow
> resuming.  Maybe less commands would suffice.  But I don't use ispell
> often, I can't really tell whether the interface is intuitive, and
> nobody else seems to be interested in this topic.

I'm not opposed to patches to maybe make the C-r scenario less
surprising.  But in general, C-r is an obscure command in this case;
it isn't an accident that it was not even documented in the user
manual until recently.  The alternatives described above are IMO
better.

> So, if we don't get any other replies until some more time has passed,
> I'm ok with closing this one.

Will do in a week or two.

Thanks.